Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class AuthInfo1CreateRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainSimpleRequest
              de.knipp.rritoolkit.request.AuthInfo1CreateRequest

    public class AuthInfo1CreateRequest

extends DomainSimpleRequest

class that represents an AuthInfo 1 create request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private byte[]` | `authInfoHash` the hash of the authinfo
`private java.util.Date` | `expirationDate` the requested expiration date

Constructor Summary
`AuthInfo1CreateRequest()` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, byte[] hash)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, byte[] hash, java.util.Date date)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, java.lang.String authInfo)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, byte[] hash)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, byte[] hash, java.util.Date date)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, java.lang.String authInfo, java.util.Date date)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, java.lang.String authInfo)` constructor
`AuthInfo1CreateRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, java.lang.String authInfo, java.util.Date date)` constructor

Method Summary
`protected void` | `addAttributes(XmlBuilder xb)` allow the addition of attributes to the request.
`AuthInfo1CreateResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`byte[]` | `getAuthInfoHash()` return the binary hash of the AuthInfo
`java.util.Date` | `getExpirationDate()` return the requested expiration date of the AuthInfo
`protected java.lang.String` | `getRequestElementName()` return the XML element name
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`void` | `setAuthInfo(java.lang.String authInfo)` set the AuthInfo password.
`void` | `setAuthInfoHash(byte[] hash)` set the binary hash of the AuthInfo
`void` | `setExpirationDate(java.util.Date date)` set the requested expiration date of the AuthInfo
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.request.DomainSimpleRequest
`getDomainName, getEncodedDomainName, requestToXml, setDomainName, setDomainName`

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### authInfoHash

    private byte[] authInfoHash

  the hash of the authinfo

### expirationDate

    private java.util.Date expirationDate

  the requested expiration date

Constructor Detail

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest()

  constructor

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  java.lang.String theEncodedDomainName,
                                  byte[] hash,
                                  java.util.Date date)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `hash` - the binary hash
    `date` - the requested expiration date, may be `null`

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  java.lang.String theEncodedDomainName,
                                  java.lang.String authInfo,
                                  java.util.Date date)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `authInfo` - the AuthInfo password
    `date` - the requested expiration date, may be `null`

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  byte[] hash,
                                  java.util.Date date)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `hash` - the binary hash
    `date` - the requested expiration date, may be `null`

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  java.lang.String authInfo,
                                  java.util.Date date)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `authInfo` - the AuthInfo password
    `date` - the requested expiration date, may be `null`

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  java.lang.String theEncodedDomainName,
                                  byte[] hash)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `hash` - the binary hash

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  java.lang.String theEncodedDomainName,
                                  java.lang.String authInfo)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `authInfo` - the AuthInfo password

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  byte[] hash)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `hash` - the binary hash

### AuthInfo1CreateRequest

    public AuthInfo1CreateRequest(java.lang.String theDomainName,
                                  java.lang.String authInfo)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `authInfo` - the AuthInfo password

Method Detail

### execute

    public AuthInfo1CreateResponse execute(Port port)
                                    throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### getRequestElementName

    protected java.lang.String getRequestElementName()

  return the XML element name

  Specified by:
    `getRequestElementName` in class `DomainSimpleRequest`
  Returns:
    the element name

### addAttributes

    protected void addAttributes(XmlBuilder xb)
                          throws org.w3c.dom.DOMException,
                                 EncodeException

  allow the addition of attributes to the request. The default implementation is empty and should not be called by implementing subclasses

  Overrides:
    `addAttributes` in class `DomainSimpleRequest`
  Parameters:
    `xb` - the XML builder
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Overrides:
    `requestToKVList` in class `DomainSimpleRequest`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `DomainSimpleRequest`
  Returns:
    the representation

### getAuthInfoHash

    public byte[] getAuthInfoHash()

  return the binary hash of the AuthInfo

  Returns:
    the hash

### setAuthInfoHash

    public void setAuthInfoHash(byte[] hash)

  set the binary hash of the AuthInfo

  Parameters:
    `hash` - the hash (no copy is made)

### setAuthInfo

    public void setAuthInfo(java.lang.String authInfo)

  set the AuthInfo password. The method calculates the hash and stores this.

  Parameters:
    `authInfo` - the AuthInfo password

### getExpirationDate

    public java.util.Date getExpirationDate()

  return the requested expiration date of the AuthInfo

  Returns:
    the date, may be `null`

### setExpirationDate

    public void setExpirationDate(java.util.Date date)

  set the requested expiration date of the AuthInfo

  Parameters:
    `date` - the date, may be `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH